issues with mixing GPS and GtkAda versions

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

issues with mixing GPS and GtkAda versions

Rob Groen

Hello,

On a Win7 platform I intend to use GPS-GPL2014 and GtkAda 2015 (currently both still on the 2014 version).

Wrt the PATH variable there are two options, either the GtkAda bin directory comes first, or the GPS-GPL bin directory comes first.

When Gtkada bin (2015) comes first:

- I noticed incompatible behavior with Gtk_Tree_Model_Filte. The 2014 version Gtk_New accepts a Null_Gtk_Tree_Model for the child model and but from the resulting Tree_Model_Filter the type can’t be acquired using Glib.Object.Get_Type.
- When closing GPS an error box is shown: “The application has requested the Runtime to terminate it in an unusual way”

When GPS-GPL bin (2014)come first:

The two above mentioned situations do not occur;
However, my GtkAda applications look ugly (font and font size) and I get the following messages:

(gen_signal_args.exe:9460): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderWin32', script='common'; and
(gen_signal_args.exe:9460): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderWin32', script='latin'

I am reluctant to switch to GPS-GPL 2015 because on a i386 (32bits) linux platform I am stuck to the 32-bits compiler and I don’t want to use two different GPS versions.

So what to do? (not: buy a 64-bit platform J)

Best regards

Rob

 

 

_______________________________________________
gtkada mailing list
[hidden email]
http://lists.adacore.com/mailman/listinfo/gtkada